Bug 53540 - Rename PLATFORM(CF) to USE(CF)
: Rename PLATFORM(CF) to USE(CF)
Status: RESOLVED FIXED
: WebKit
New Bugs
: 528+ (Nightly build)
: Other Mac OS X 10.5
: P2 Normal
Assigned To:
:
:
:
: 58728
  Show dependency treegraph
 
Reported: 2011-02-01 15:41 PST by
Modified: 2011-04-16 04:00 PST (History)


Attachments
Patch (39.72 KB, patch)
2011-02-01 15:43 PST, Patrick R. Gansterer
no flags Review Patch | Details | Formatted Diff | Diff
Patch (37.60 KB, patch)
2011-02-01 23:26 PST, Patrick R. Gansterer
no flags Review Patch | Details | Formatted Diff | Diff
Patch (37.46 KB, patch)
2011-02-01 23:28 PST, Patrick R. Gansterer
no flags Review Patch | Details | Formatted Diff | Diff
Patch (37.44 KB, patch)
2011-02-01 23:32 PST, Patrick R. Gansterer
no flags Review Patch | Details | Formatted Diff | Diff
Patch for landing (39.14 KB, patch)
2011-02-22 22:44 PST, Patrick R. Gansterer
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-02-01 15:41:26 PST
Rename PLATFORM(CF) to USE(COREFOUNDATION)
------- Comment #1 From 2011-02-01 15:43:19 PST -------
Created an attachment (id=80842) [details]
Patch
------- Comment #2 From 2011-02-01 15:59:02 PST -------
Attachment 80842 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7684754
------- Comment #3 From 2011-02-01 17:20:01 PST -------
(From update of attachment 80842 [details])
Changing from PLATFORM to USE might be OK. But changing from CF to COREFOUNDATION is bad since we also use CF as suffixes on file names. This generally will make the source tree harder to read. If those file names did not exist, then I could see the argument since CF is quite a short acronym and many might not be aware of its meaning.
------- Comment #4 From 2011-02-01 17:20:26 PST -------
Maciej, do you have an opinion on this?
------- Comment #5 From 2011-02-01 17:39:49 PST -------
Attachment 80842 [details] did not build on win:
Build output: http://queues.webkit.org/results/7687360
------- Comment #6 From 2011-02-01 18:03:41 PST -------
Attachment 80842 [details] did not build on gtk:
Build output: http://queues.webkit.org/results/7681924
------- Comment #7 From 2011-02-01 21:58:46 PST -------
Attachment 80842 [details] did not build on chromium:
Build output: http://queues.webkit.org/results/7682899
------- Comment #8 From 2011-02-01 23:21:24 PST -------
Attachment 80842 [details] did not build on mac:
Build output: http://queues.webkit.org/results/7686729
------- Comment #9 From 2011-02-01 23:26:52 PST -------
Created an attachment (id=80895) [details]
Patch

(In reply to comment #3)
> Changing from PLATFORM to USE might be OK. But changing from CF to COREFOUNDATION is bad since we also use CF as suffixes on file names. This generally will make the source tree harder to read. If those file names did not exist, then I could see the argument since CF is quite a short acronym and many might not be aware of its meaning.
I agree, the filename suffix is a good argument against renaming to COREFOUNDATION (at least in this patch)
------- Comment #10 From 2011-02-01 23:28:25 PST -------
Created an attachment (id=80896) [details]
Patch
------- Comment #11 From 2011-02-01 23:32:07 PST -------
Created an attachment (id=80897) [details]
Patch
------- Comment #12 From 2011-02-08 10:37:43 PST -------
@darin: ping
------- Comment #13 From 2011-02-22 12:58:35 PST -------
ping?
------- Comment #14 From 2011-02-22 13:44:59 PST -------
(From update of attachment 80897 [details])
Rejecting attachment 80897 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-7', 'apply-..." exit_code: 2

Last 500 characters of output:
t 1 with fuzz 3.
patching file Source/WebKit2/UIProcess/WebBackForwardList.h
patching file Source/WebKit2/UIProcess/WebPageProxy.cpp
Hunk #1 succeeded at 961 (offset 115 lines).
patching file Source/WebKit2/WebProcess/WebCoreSupport/WebPlatformStrategies.cpp
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/DumpRenderTree/config.h

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Darin Adler', u'--force']" exit_code: 1

Full output: http://queues.webkit.org/results/7948289
------- Comment #15 From 2011-02-22 13:52:12 PST -------
Could someone please explain why USE(CF) is more appropriate than PLATFORM(CF)? I'm not saying that this change is wrong, but how can it be landed without any explanation?
------- Comment #16 From 2011-02-22 14:00:46 PST -------
(In reply to comment #15)
> Could someone please explain why USE(CF) is more appropriate than PLATFORM(CF)? I'm not saying that this change is wrong, but how can it be landed without any explanation?

CF is not a platform. CF is a library we can use. There are some old webkit-dev mails about "better names": http://thread.gmane.org/gmane.os.opendarwin.webkit.devel/4998/focus=5002.

IMHO the title of the bug is self explaining and I don't se much value in additional info in the ChangeLog. If you a good content for it I'll add it. ;-)
------- Comment #17 From 2011-02-22 14:54:49 PST -------
This doesn't have to be in ChangeLog.

What makes library a platform? WX and Qt are also technically libraries, so should we rename PLATFORM(QT) to USE(QT)? I honestly don't understand how the decision was made.
------- Comment #18 From 2011-02-22 22:16:23 PST -------
(In reply to comment #17)
> This doesn't have to be in ChangeLog.
> 
> What makes library a platform? WX and Qt are also technically libraries, so should we rename PLATFORM(QT) to USE(QT)? I honestly don't understand how the decision was made.

PLATFORM should be something be something representing a set of used libraries. E.g. Qt uses always Qt unicode, Qt graphichs, Qt network and so on. The CF stuff is used by Apples Mac and Windows port and some parts are used by WinCairo too.

My vision is to remove all PLATFORM macros and replace them with USE macros: PLATFORM(QT) will then renamed to USE(QT_UNICODE), USE(QT_GRAPHICS), USE(QT_NETWORK), USE(QT_XML) and so on. This will enable us to use Qt rendering with curl network backend and ICU unicode. This maybe doesn't make much sense, but on OS(WINDOWS) you can then choose between CG, Cairo and GDI for graphics rendering  and CF, CUrl, Soup and WinInet for networking.
------- Comment #19 From 2011-02-22 22:44:31 PST -------
Created an attachment (id=83448) [details]
Patch for landing
------- Comment #20 From 2011-02-23 03:31:34 PST -------
(From update of attachment 83448 [details])
Clearing flags on attachment: 83448

Committed r79434: <http://trac.webkit.org/changeset/79434>
------- Comment #21 From 2011-02-23 03:31:42 PST -------
All reviewed patches have been landed.  Closing bug.